Config

post
Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Responses
chevron-right
200

No response body

No content

post
/v1/config/api/token/
200

No response body

No content

delete
Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
keystringRequired
Responses
delete
/v1/config/api/token/{key}/
204

No response body

No content

get
Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Query parameters
pageintegerOptional

A page number within the paginated result set.

Responses
chevron-right
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=2
get
/v1/config/api/tokens/
200Success
get
Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Query parameters
pageintegerOptional

A page number within the paginated result set.

Responses
chevron-right
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=2
get
/v1/config/integration/
200Success
post
Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Body
labelstring · min: 1Required
gatewaystring · min: 1Required
gateway_typestring · min: 1Required
processing_methodstring · min: 1Required
enable_custom_domainbooleanOptional
custom_domainstring · uri · max: 200 · nullableOptional

Setup custom domain for webhooks and redirects

configanyRequired
Responses
chevron-right
200Success
application/json
idstring · uuidRead-onlyRequired
labelstringRequired
gatewaystringRequired
gateway_typestringRequired
processing_methodstringRequired
enable_custom_domainbooleanOptional
custom_domainstring · uri · max: 200 · nullableOptional

Setup custom domain for webhooks and redirects

configanyRequired
createdstring · date-timeRead-onlyRequired
post
/v1/config/integration/
200Success
post

Upload Apple Pay merchant verification file for a specific integration.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
integration_idstringRequired

UUID of the integration

Body
filestring · binaryRequired

Apple Pay verification file (binary or ZIP)

Responses
chevron-right
200

Verification file uploaded successfully

application/json
messagestringRequired
integration_idstring · uuidRequired
file_namestringRequired
post
/v1/config/integration/{integration_id}/apple-pay-verification/

Upload logo file for a specific integration.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
integration_idstringRequired

UUID of the integration

Body
filestring · binaryRequired

Logo file (PNG, JPG, GIF, max 1MB)

Responses
chevron-right
200

Logo uploaded successfully

application/json
messagestringRequired
integration_idstring · uuidRequired
file_namestringRequired
post
/v1/config/integration/{integration_id}/logo/

Last updated